import { httpPost } from '../../utils/request';

export function GetSNOrderEntities(params) {
  return httpPost('MM/SN/ReworkOrderEntities', params)
}

export function GetReworkSNByPdtOrder(params) {
  return httpPost('MM/SN/OrderPagedByRework', params)
}

export function GetReworkProcedure(params) {
  return httpPost('MM/SN/GetSNRepairInfoByRework', params)
}
export function GetReworkJobEntities(params) {
  return httpPost('WO/Job/OrderEntities', params)
}

export function getJobFeeds(params) {
  return httpPost('MM/JobFeed/OrderEntities', params)
}

export function getWorkstageByLine(params) {
  return httpPost('MM/Line/Get', params)
}

export function CancelRework(params) {
  return httpPost('MM/ReworkPdtOrder/CancelRework', params)
}

export function Confirm(params) {
  return httpPost('MM/ReworkPdtOrder/ReworkConfirm', params)
}
